Bug 736479 - package install on consumer group hangs indefinitely
Summary: package install on consumer group hangs indefinitely
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: James Slagle
QA Contact: dgao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-07 19:27 UTC by dgao
Modified: 2013-09-09 16:28 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-24 20:12:50 UTC


Attachments (Terms of Use)

Description dgao 2011-09-07 19:27:41 UTC
[root@pulp-qe ~]# yum info pulp | grep "Version"
Version     : 0.0.230

[root@pulp-qe ~]# pulp-admin consumer list
+------------------------------------------+
            Consumer Information
+------------------------------------------+

Id                 	test_consumer            
Description        	None                     
Subscribed Repos   	['package_test_repo']    
Agent:
   Responding      	Yes                      
   Last Heartbeat  	2011-09-07 19:19:58.188214+00:00
Additional info    	                         


Id                 	test_consumer_remote     
Description        	None                     
Subscribed Repos   	['package_test_repo']    
Agent:
   Responding      	Yes                      
   Last Heartbeat  	2011-09-07 19:19:58.901235+00:00
Additional info    	                         


[root@pulp-qe ~]# pulp-admin consumergroup list
+------------------------------------------+
      List of Available Consumer Groups
+------------------------------------------+

Id                 	test_consumer_grp        
Description        	None                     
Consumer ids       	['test_consumer', 'test_consumer_remote']
Additional info    	                         


[root@pulp-qe ~]# rpm -q patb
package patb is not installed

[root@pulp-qe ~]# pulp-admin package install -n patb --consumergroupid=test_consumer_grp
Created job id: cb2baf6d-eec2-4869-9b45-d64851770961
Waiting: [\] 


and this will go on forever.....

Comment 1 dgao 2011-09-09 13:37:34 UTC
Turns out the real issue resides in the consumer cert and the hang was a symptom. Closing this bug as the fix is part of the new CR16 candidate.

Comment 2 Preethi Thomas 2012-02-24 20:12:50 UTC
Pulp v1.0 is released
Closed Current Release.


Note You need to log in before you can comment on or make changes to this bug.